Incidencia #428 (closed Error: Resuelto)

Abierto hace 6 años

Última modificación 6 años

software-properties-gtk no funciona

Informado por: mismiman Propietario: ssolano
Prioridad: Normal Hito: canaima-popular-3.1~VC2
Componente: Canaima Popular Versión: 3.1
Gravedad: Importante Palabras clave: canaima, error, origenes, sistema, software, properties, gtk
Cc: Asignar A:

Descripción

Saludos.

Hace poco hice una actualización de las que el gestor de actualizaciones estaba envuelto (supongo que son las oficiales), pero sin hacer "Safe-Upgrade" y también instalé programas como reproductores multimedia de archivos *.mid (que la verdad, no se donde se guardaron, puesto a que no los consigo ahora; programas para modificar videos como OpenShot? y una versión desactualizada de LiVES, un emulador de NES llamado FCEU y un par de juegos como Nibbles desde el gestor Synaptic. Hace 2 semanas, contando desde esta fecha.

Hoy día, me doy cuenta que no puedo acceder a la aplicación "Orígenes del Software", pues, quería instalar "LiVES" para hacer fandub y practicar mis habilidades como estudiante de doblaje de voces.

Este es el error que lanza cuando lo abro desde la consola:

root@canaima:/home/mismiman# software-properties-gtk
/usr/lib/pymodules/python2.6/softwareproperties/SoftwareProperties.py:34: DeprecationWarning?: the md5 module is deprecated; use hashlib instead

import md5

Traceback (most recent call last):

File "/usr/bin/software-properties-gtk", line 100, in <module>

app = SoftwarePropertiesGtk?(datadir=data_dir, options=options, file=file)

File "/usr/lib/pymodules/python2.6/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 75, in init

SoftwareProperties?.init(self, options=options, datadir=datadir)

File "/usr/lib/pymodules/python2.6/softwareproperties/SoftwareProperties.py", line 55, in init

self.reload_sourceslist()

File "/usr/lib/pymodules/python2.6/softwareproperties/SoftwareProperties.py", line 450, in reload_sourceslist

self.distro.get_sources(self.sourceslist)

File "/usr/lib/python2.6/dist-packages/aptsources/distro.py", line 90, in get_sources

raise NoDistroTemplateException?("Error: could not find a "

aptsources.distro.NoDistroTemplateException?: Error: could not find a distribution template

Esta es la página que recomienda actualizar repositorios:

http://www.forat.info/2008/05/16/de-todo-para-la-edicion-de-video-con-lives-en-linux-debian/

Aunque ellos recomiendan usar el comando VI en la consola, yo prefiero usar el modo gráfico en vez de la consola, ya que aun no se manejar este sistema operativo con ella.

No quiero reinstarlar todo desde mi distro Canaima... Ya lo he hecho 3 veces por otras razones, me gusta tal cual como está (claro, sin estos errores)

Gracias de antemano :)

P.D: he notado que en las actualizaciones que hago con el synaptic, dicen que "TERM" no ha sido definida, o algo asi ¿a qué se debe eso?

Historial de cambios

comment:1 Cambiado el 6 años por mismiman

¿Se necesita información de Hardware? Es una Laptop Lenovo SL400, de las que fueron vendidas por CANTV :) con su hardware por defecto.

comment:2 Cambiado el 6 años por ssolano

  • Estado cambiado de new to accepted
  • Propietario cambiado de Canaima Popular a ssolano

comment:3 Cambiado el 6 años por ssolano

  • Estado cambiado de accepted to resuelta
  • Resolución establecido a Fijada

Esta incidencia fue solucionada en la versión aumentado la versión , commit numero: 4174241 https://gitorious.org/canaima-gnu-linux/python-apt/commit/41742413982428e67cad7ceac2c471f8c7f1a862

comment:4 Cambiado el 6 años por ssolano

  • Estado cambiado de resuelta to closed
Nota: Vea TracTickets para ayuda en el uso de incidencias.